Get Connector Endpoint
curl --request GET \
--url https://api.tryardent.com/v1/connectors/{connector_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tryardent.com/v1/connectors/{connector_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tryardent.com/v1/connectors/{connector_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"org_id": "<string>",
"service_name": "<string>",
"can_delete": true,
"can_update": true,
"created_at": "<string>",
"project_id": "<string>",
"status": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Connectors
Get a connector
Inspect a connector’s status and readiness
GET
/
v1
/
connectors
/
{connector_id}
Get Connector Endpoint
Returns status and readiness information, plus
can_update and can_delete permission flags for the calling token.Authorizations
Ardent API key (sk-ard_live_… / sk-ard_test_…) or a dashboard session token.
Path Parameters
Response
Successful Response
Connector ID.
Connector name.
Organization the connector belongs to.
Service type. postgresql today.
Whether the caller may delete this connector.
Whether the caller may update this connector.
When the connector was created.
Project the connector belongs to.
Current connector status.